Ubuntu

Support for Atheros AR3012

Reported by James M. Leddy on 2012-01-27
32
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
AceLan Kao
Precise
Undecided
Unassigned
Quantal
Medium
AceLan Kao

Bug Description

breaking this out of bug 714862, comment #28.

We already have support for this driver as a dkms, would like to get it upstream. The relevant sections of the diff are:

--- drivers/bluetooth/btusb.c 2012-01-26 15:32:33.096030325 -0500
+++ /usr/src/dw1703-1.2/btusb.c 2011-12-04 21:49:01.000000000 -0500
@@ -117,15 +104,14 @@

        /* Atheros 3012 with sflash firmware */
        { USB_DEVICE(0x0cf3, 0x3004), .driver_info = BTUSB_ATH3012 },
+ { USB_DEVICE(0x0cf3, 0xe004), .driver_info = BTUSB_ATH3012 },

        /* Atheros AR5BBU12 with sflash firmware */
        { USB_DEVICE(0x0489, 0xe02c), .driver_info = BTUSB_IGNORE },
--- drivers/bluetooth/ath3k.c 2012-01-24 10:29:50.179803711 -0500
+++ /usr/src/dw1703-1.2/ath3k.c 2011-12-04 21:49:01.000000000 -0500
@@ -62,15 +61,14 @@
        /* Atheros AR3012 with sflash firmware*/
        { USB_DEVICE(0x0CF3, 0x3004) },
+ { USB_DEVICE(0x0CF3, 0xE004) },

        /* Atheros AR5BBU12 with sflash firmware */
        { USB_DEVICE(0x0489, 0xE02C) },
@@ -87,7 +85,7 @@

        /* Atheros AR3012 with sflash firmware*/
        { USB_DEVICE(0x0cf3, 0x3004), .driver_info = BTUSB_ATH3012 },
-
+ { USB_DEVICE(0x0cf3, 0xe004), .driver_info = BTUSB_ATH3012 },
        { } /* Terminating entry */
 };

This is a hand edited patch and won't apply. Additionally, you need

After installing this dw1703 dkms package, you have to add one more file under /etc/modprobe.d/
cat dw1703.conf
   install ath3k modprobe btusb; modprobe --ignore-install ath3k;

tags: added: blocks-hwcert-enablement
Kate Stewart (kate.stewart) wrote :

I don't think the kernel team has committed to doing this yet, and they should be the ones adding the rls-p-tracking tag. rls-mgr-p-tracking tag is the appropriate one to use to get it considered.

tags: added: rls-mgr-p-tracking
removed: rls-p-tracking
AceLan Kao (acelankao) wrote :

I submitted the patch yesterday, but the maintainer didn't accept the way to enable the device.
To enable this device correctly, user have to load the btusb module before ath3k, so user need this line in his /etc/modprobe.d/ath3k.conf
    install ath3k modprobe btusb; modprobe --ignore-install ath3k;
And now, we have no way to order the module loading sequence in the kernel.

Maybe we should consider another way to enable this device.

AceLan Kao (acelankao) wrote :

I just verified that, on 3.0 kernel, the btusb will be loaded after ath3k.
But, on 3.2 kernel, btusb will be loaded before ath3k, so there is no loading order issue on 3.2 kernel.
I'll resend the patch again.

Anthony Wong (anthonywong) wrote :
AceLan Kao (acelankao) wrote :

Finally, patch has been applied to bluetooth and bluetooth-next trees.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Anthony Wong (anthonywong) wrote :

Finally, it's now in 3.2.20 (and also 3.4-rc6).

no longer affects: linux
Luis Henriques (henrix) wrote :

The commit for this issue came in via a stable upstream release. As such it is not subject to the standard bug verification process.

tags: added: verification-done-precise
Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux - 3.2.0-27.43

---------------
linux (3.2.0-27.43) precise-proposed; urgency=low

  [ Andy Whitcroft ]

  * No change upload to fix .ddeb generation in the PPA.

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1020016

linux (3.2.0-27.42) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1020016

  [ Chris J Arges ]

  * PACKAGING: add .gnu_debuglink sections to .ko files
    - LP: #669641

  [ Ike Panhc ]

  * [Config] Updateconfigs
    - LP: #1008345

  [ Luis Henriques ]

  * SAUCE: (upstreamed) [media] ene_ir: Fix driver initialisation
    - LP: #1014800
  * SAUCE: ocfs2: Fix NULL pointer dereferrence in
    __ocfs2_change_file_space
    - LP: #1006012

  [ Rob Herring ]

  * SAUCE: net: calxedaxgmac: enable rx cut-thru mode
    - LP: #1008345
  * SAUCE: EDAC: Add support for the highbank platform memory
    - LP: #1008345
  * SAUCE: EDAC: add support for highbank platform L2 cache ecc
    - LP: #1008345

  [ Seth Forshee ]

  * (pre-stable): bcma: add ext PA workaround for BCM4331 and BCM43431
    - LP: #925577

  [ Takashi Iwai ]

  * SAUCE: ALSA: hda - Fix power-map regression for HP dv6 & co
    - LP: #1013183

  [ Tim Gardner ]

  * [Config] Enable CONFIG_CGROUPS for highbank
    - LP: #1014692

  [ Upstream Kernel Changes ]

  * Revert "net: maintain namespace isolation between vlan and real device"
    - LP: #1013723
  * x86/amd: Re-enable CPU topology extensions in case BIOS has disabled it
    - LP: #1009087
  * hwmon: (k10temp) Add support for AMD Trinity CPUs
    - LP: #1009086
  * hwmon: (fam15h_power) Increase output resolution
    - LP: #1009086
  * Input: wacom - use BTN_TOOL_FINGER to indicate touch device type
    - LP: #1009435
  * Input: wacom - use switch statement for wacom_tpc_irq()
    - LP: #1009435
  * Input: wacom - isolate input registration
    - LP: #1009435
  * Input: wacom - wireless monitor framework
    - LP: #1009435
  * Input: wacom - create inputs when wireless connect
    - LP: #1009435
  * Input: wacom - wireless battery status
    - LP: #1009435
  * Input: wacom - check for allocation failure in probe()
    - LP: #1009435
  * Input: wacom - add basic Intuos5 support
    - LP: #1009435
  * Input: wacom - add Intuos5 Touch Ring/ExpressKey support
    - LP: #1009435
  * Input: wacom - add Intuos5 Touch Ring LED support
    - LP: #1009435
  * Input: wacom - add Intuos5 multitouch sensor support
    - LP: #1009435
  * iommu/amd: Add workaround for event log erratum
    - LP: #1013723
  * MIPS: BCM63XX: Add missing include for bcm63xx_gpio.h
    - LP: #1013723
  * cifs: Include backup intent search flags during searches {try #2)
    - LP: #1013723
  * sunrpc: fix loss of task->tk_status after rpc_delay call in
    xprt_alloc_slot
    - LP: #1013723
  * exofs: Fix CRASH on very early IO errors.
    - LP: #1013723
  * cifs: fix oops while traversing open file list (try #4)
    - LP: #1013723
  * Fix dm-multipath starvation when scsi host is busy
    - LP: #1013723
  * ixp4xx: fix compilation by adding gpiolib support
    - LP: #1013723
  * drm/i915: properly handle interlaced bit for sdvo dtd conversion
    - LP: #1013723
...

Changed in linux (Ubuntu Precise):
status: New → Fix Released
Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Tim Chen (ctf) wrote :

Bug still exists in Quantal daily, kernel 3.5.0-11.11.

Tim Chen (ctf) wrote :

continue the #10, hcitool tools(hcitool dev/scan) works fine, but BT gui tool(click on "set up new device" of the BT icon on task bar) shows no devices.

@Tim, can you confirm with AceLan that this was the original bug? It sounds like the BT is working to some extent, but maybe there is some other bug there?

Tim Chen (ctf) wrote :

Bluetooth works fine under Precise, kernel 3.2.0-29.46.

Anthony Wong (anthonywong) wrote :

Replying to comment #11, if the "GUI tool" issue still exist in Quantal, a new bug should be filed. This bug is for the device support on the hardware level.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers